Autor Tema: Firefox no actualiza desde 5.0  (Leído 2357 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Camiloalcubo

  • Usuario Jr
  • **
  • Mensajes: 88
  • Karma: +1/-0
    • Ver Perfil
Firefox no actualiza desde 5.0
« en: 27 de Octubre de 2011, 03:25:02 pm »
Hola comunidad.
Les cuento. Siempre he usado Firefox. Cuando terminaba de instalar algún SO siempre me preocupaba de que tuviera la última versión de Firefox.
Ahora estoy usando LMDE, creo que la versión de agosto o septiembre de 2011. No sé si estoy usando bien el lenguaje, pero, LMDE viene con Firefox 5. Cuando actualicé hace ya unos meses LMDE, no se actualizó firefox. No aparece en los repositorios. Allí sólo aparece la versión 5.0. (Linux mint 11, en mi otra partición, al menos tiene la 6.0.2). Cuado voy a "Ayuda->Acerca de Firefox" me dice que tiene la versión 5 y abajo, cuando busca actualizaciones no aparece nada. Se queda pegado esperando encontrar una actualización. En internet sólo me dice que aguregue al repositorio la versión que quiero, pero no me ha resultado. Usé un tutotial que se da acá para firefox 4, creo que creado por mint777, pero tampoco me ha corrido. Ya no recuerdo bien todas las cosas que he hecho, pero ahora último, por ejemplo, recuerdo haber usado:

# wget http://releases.mozilla.org/pub/mozilla.org/firefox/releases/7.0.1/linux-i686/es-CL/firefox-7.0.1.tar.bz2
# tar xjf firefox-7.0.1.tar.bz2
# sudo mv firefox /opt/firefox
# sudo ln -s /opt/firefox/firefox /usr/bin/firefox

Al parecer esto borró Firefox, porque no aparece en ninguna parte y los íconos desaparecieron. Aparece Iceweasil, pero también en versión 5.0 (con toda mi información de pestañas y esas cosas).
Como había descargado el tar, busqué cómo instaarlo, porque siempre he tenido problemas con esas extensiones. Usé Alien. Decomprimí el archivo y lo comprimí en tar.gz y luego corrí alien sobre ese archivo nuevo. Se instaló, supuestamente, pero cuando lo busco no aparece y cuando pongo "firefox" en la terminal, me tira un error que dice que icewasil está usando no sé qué cosa (ya no lo tengo así es que no recuerdo exactamene el error). Luego, desinstalé firefox y volví a instalarlo, pero vuelve a aparecer en la versión 5.0
Cuando estaba "instalado" decía en el getor de paquetes synaptic que estaba instalada la versión 7.0.2, pero a mi nunca me funcionó.
Alguien ha encontrado un método efectivo de instalar firefox 7?. En este foro han dicho algo así como "esperar que aparezca en los repo, porque se demora como un día" pero la versió 5 es antigua y no se actualiza de ninguna forma
Tengo el kernel 3, por si sirve de algo :p
De antemano, gracias :)


AnSnarkista

  • Usuario Completo
  • ***
  • Mensajes: 229
  • Karma: +16/-3
  • Siempre libre!
    • Ver Perfil
Re: Firefox no actualiza desde 5.0
« Respuesta #1 en: 28 de Octubre de 2011, 03:15:45 pm »
Si estoy en lo cierto, esos comandos que has escrito son para primero descargar el tar.bz2, despues descomprimirlo, mover la carpeta que genera (llamada firefox) a opt/firefox, y despues crear un enlace al archivo firefox que esta dentro de la carpeta a /usr/bin/firefox.

El problema, es que no lo estas instalando como tal, simplemente estas cambiando los archivos del 5 por los del 7.

Yo acabo de hacerlo de forma manual y listos. Descargas el tar.bz2, lo descomprimes, vas a la carpeta /opt y la abres como admin, la carpeta firefox que tienes dentro de /opt, le cambias el nombre por la que quieras, y mueves la carpeta firefox descomprimida a /opt. Por ultimo, cierras el Firefox, y lo abres normalmente y deberia de abrirsete el Firefox 7, pero el gestor de soft, te detecta el 5, porque como te he dicho antes, no lo has instalado propiamente dicho (no se como haerlo yo tampoco...jajajja)

Espero que te sirva (vamos, segun lo he hecho ahora mismo, te lo he escrito, asi que tiene que funcionar...jajajaj)

PD: Que me corrijan si me equivoco por favor. Esa solucion de los comandos no ha funcionado porque con el segundo comando, estaba moviendo la carpeta firefox que ha descomprimido en vez de a /opt, a la carpeta de firefox dentro de /opt no? Entonces el siguiente comando, estaria haciendo un enlace a firefox 5 de nuevo correcto?
Salud!

LMDE con Gnome Session Fallback...todo un lujo

Camiloalcubo

  • Usuario Jr
  • **
  • Mensajes: 88
  • Karma: +1/-0
    • Ver Perfil
Re: Firefox no actualiza desde 5.0
« Respuesta #2 en: 28 de Octubre de 2011, 06:44:06 pm »
Yo tengo la duda, al parecer son muy parecidos porque, descomprimo igual que tú, después muevo a /opt igual que tú. La diferencia (si no me equivoco y CORRíJANME por favor) es que sustituyes la carpeta de firefox antigua. Si quisiera que me avisara que hay una carpeta existente con el mismo nombre, parece que hay que colocar la opción -i, "creo". Bueno, el cuento es que yo estoy copiando firefox dentro de "firefox" y no al lado de este, o sea que como que quedaon los dos juntos o algo así, porque el firefox original (el 5), está en /opt y el que yo pego, en /opt/firefox.. se entiende?
De todas maneras, esa era "una" de las cosas que probé, porque la otra que intentñe era convertir ese .tar.bz2 a .deb e instalarlo con el instalaor de paquedes GDeb, pero tampoco me funcionó.
Insisto, si alguien sabe si estamos bien, corríjannos XD


Camiloalcubo

  • Usuario Jr
  • **
  • Mensajes: 88
  • Karma: +1/-0
    • Ver Perfil
Re: Firefox no actualiza desde 5.0
« Respuesta #3 en: 28 de Octubre de 2011, 06:48:26 pm »
Ah, por cierto, sí me funcionó lo de AnSnarkista :) y me dice que está actualizado y todo :). Comrobó solito si todo era compatible cuando lo abrí :).
El único detalle es que no aparece en el gestor de paquetes :o. Sólo aparece el 5.0, que es el problema que tenía AnSnarkista.
Lo que no entiendo aún, es por qué no se actualizó solo, por qué no apareció en los repositorios cuando estuo lista la versión estable :s
Además, igual es extraño, porque cuando cargo mi página de inicio google.cl/firefox, me dice que actualcie porque no estoy usando la última versión, siendo que acabo de "instalarla". Sé que no se instala así :p, pero igual es algo. Ahora, quizás sea una especie de "instalación vrtual" jajajaja.. chamullando, porque es raro que en firefox me diga que está actualizado, pero los programas me detecten un firefox viejo

¡Gracias!
« Última modificación: 28 de Octubre de 2011, 06:55:16 pm por Camiloalcubo »

Camiloalcubo

  • Usuario Jr
  • **
  • Mensajes: 88
  • Karma: +1/-0
    • Ver Perfil
Re: Firefox no actualiza desde 5.0
« Respuesta #4 en: 02 de Noviembre de 2011, 04:44:05 pm »
Sabes?, al parecer no se "actualiza". O sea, cuando inicio firefox dice que lo hace, pero en la otra distro me aparece diferente. Uso aplicaciones de la 5 que no soporta la 7 y no me arrojó error :s.
Si lo solucionaste, agradecería que me guiaras porque yo aún no encuentro nada distinto a lo que ya hice. Lo más cerca que anduve fue conviertiendo el archivo a .deb como mencioné al inicio

AnSnarkista

  • Usuario Completo
  • ***
  • Mensajes: 229
  • Karma: +16/-3
  • Siempre libre!
    • Ver Perfil
Re: Firefox no actualiza desde 5.0
« Respuesta #5 en: 03 de Noviembre de 2011, 01:25:17 am »
A lo mejor es que tienes dos veces instalado el Firefox, el que instalaste con el .deb convertido, y el que has puesto como te dije...es que no se que es lo que has hecho hasta ahora.

Yo desinstalaria todos los firefox que tenga, instalaria desde repos (en teoria el 5) y luego haria lo que te dije, a mi me funciona por ahora, y los plugins, van bien.
Salud!

LMDE con Gnome Session Fallback...todo un lujo

 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26